summaryrefslogtreecommitdiffstats
path: root/lib/configure-deps-functions.sh
diff options
context:
space:
mode:
authorDan Radez <dradez@redhat.com>2017-03-30 23:03:43 -0400
committerDan Radez <dradez@redhat.com>2017-05-09 15:09:42 -0400
commitac3a86983e4c049a3115c7bd77eeacaeb19d0ca3 (patch)
treeed0c27aa4853848b0e47e3ce3de25dfb23bfc8df /lib/configure-deps-functions.sh
parentef3dc1ce0323fa0881e416cd4b9028fb4250b719 (diff)
Updating Apex to OpenStack Ocata
- power management updated to virtualbmc, pxe_ssh is deprecated - removing custom tacker build - removing custom congress build - disabling yum update in undercloud on the cli instead of in a patch - Undercloud is direct kernel booted now, there are no kernel and initrd in the disk image from upstream - remove OpenDaylight previous to Carbon JIRA: APEX-433 JIRA: APEX-432 JIRA: APEX-431 Change-Id: I6963f16e65eacade5607a3082b58b6150331406c Signed-off-by: Dan Radez <dradez@redhat.com>
Diffstat (limited to 'lib/configure-deps-functions.sh')
-rwxr-xr-xlib/configure-deps-functions.sh7
1 files changed, 6 insertions, 1 deletions
diff --git a/lib/configure-deps-functions.sh b/lib/configure-deps-functions.sh
index 3c82c66a..32900015 100755
--- a/lib/configure-deps-functions.sh
+++ b/lib/configure-deps-functions.sh
@@ -90,9 +90,14 @@ EOF
fi
done
else
+ # verify virtualbmc is installed for a virtual install
+ if ! rpm -q python2-virtualbmc; then
+ echo -e "${red}ERROR: Package python2-virtualbmc is required to do a virtual install.$reset"
+ exit 1
+ fi
for network in ${OPNFV_NETWORK_TYPES}; do
if ! ovs-vsctl --may-exist add-br ${NET_MAP[$network]}; then
- echo -e "${red}ERROR: Failed to create ovs bridge ${NET_MAP[$network]}{$reset}"
+ echo -e "${red}ERROR: Failed to create ovs bridge ${NET_MAP[$network]}${reset}"
exit 1
fi
echo "${blue}INFO: Creating Virsh Network: $network${reset}"